import { HttpClient } from '@angular/common/http';
import { TEncodedObject } from 'tscommons-core';
import { AdamantineAuthorizedRestService } from './adamantine-authorized-rest.service';
export declare abstract class AdamantineHybridAuthorizedRestService extends AdamantineAuthorizedRestService {
    private key;
    private session;
    constructor(rootURL: string, http: HttpClient);
    setKey(key: string): void;
    clearKey(): void;
    setSession(uid: string): void;
    clearSession(): void;
    hasSession(): boolean;
    protected internalGet<T>(script: string, params?: TEncodedObject, maxReattempts?: number, headers?: TEncodedObject): Promise<T>;
    protected internalPost<T>(script: string, body: TEncodedObject, params?: TEncodedObject, headers?: TEncodedObject): Promise<T>;
    protected internalPut<T>(script: string, body: TEncodedObject, params?: TEncodedObject, headers?: TEncodedObject): Promise<T>;
    protected internalPatch<T>(script: string, body: TEncodedObject, params?: TEncodedObject, headers?: TEncodedObject): Promise<T>;
    protected internalDelete<T>(script: string, params?: TEncodedObject, headers?: TEncodedObject): Promise<T>;
    validate(): Promise<boolean>;
}
